Bug 1291007 - Review Request: python-sphinxcontrib-fulltoc - include a full table of contents in your Sphinx HTML sidebar
Review Request: python-sphinxcontrib-fulltoc - include a full table of conten...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1285941
  Show dependency treegraph
 
Reported: 2015-12-12 12:38 EST by Jeremy Cline
Modified: 2016-01-07 09:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-30 19:56:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2015-12-12 12:38:08 EST
Spec URL: https://raw.githubusercontent.com/jeremycline/package-sphinxcontrib-fulltoc/master/python-sphinxcontrib-fulltoc.spec
SRPM URL: https://github.com/jeremycline/package-sphinxcontrib-fulltoc/raw/master/python-sphinxcontrib-fulltoc-1.1-1.fc23.src.rpm

Description: 
sphinxcontrib-fulltoc is an extension for the Sphinx documentation system that
changes the HTML output to include a more detailed table of contents in the
sidebar. By default Sphinx only shows the local headers for the current page.
With the extension installed, all of the page titles are included, and the
local headers for the current page are also included in the appropriate place
within the document.

Fedora Account System Username: jcline
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12164886

Note: This package requires itself to build its documentation. I'm not sure what the policy is for this, but my plan was to rebuild the package once it makes it into Fedora to include its full documentation.
Comment 1 William Moreno 2015-12-12 15:11:15 EST
Block the FEENEDSPONSOR track
Comment 2 William Moreno 2015-12-14 13:29:10 EST
Package Review
==============
1. This package also have docs than you can  build and include in -doc subpackage.

2. Include the file announce.rst with %doc

3. [!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages/sphinxcontrib, /usr/lib/python2.7/site-packages/sphinxcontrib

4. [!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.5/site-
     packages/sphinxcontrib/__pycache__(python3-sphinxcontrib-
     programoutput, python3-sphinxcontrib-seqdiag)

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-sphinxcontrib-fulltoc-1.1-1.fc24.noarch.rpm
          python3-sphinxcontrib-fulltoc-1.1-1.fc24.noarch.rpm
          python-sphinxcontrib-fulltoc-1.1-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python3-sphinxcontrib-fulltoc (rpmlib, GLIBC filtered):
    python(abi)

python2-sphinxcontrib-fulltoc (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python3-sphinxcontrib-fulltoc:
    python3-sphinxcontrib-fulltoc

python2-sphinxcontrib-fulltoc:
    python-sphinxcontrib-fulltoc
    python-sphinxcontrib-fulltoc(x86-64)
    python2-sphinxcontrib-fulltoc

Source checksums
----------------
https://pypi.python.org/packages/source/s/sphinxcontrib-fulltoc/sphinxcontrib-fulltoc-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7da7780e217c5268e3e38deb36b2f38b847ff12fbb6db11d17bed490fe882dca
  CHECKSUM(SHA256) upstream package : 7da7780e217c5268e3e38deb36b2f38b847ff12fbb6db11d17bed490fe882dca
Comment 3 William Moreno 2015-12-14 13:37:12 EST
I did not read the comment about the docs build process.

You can update your PYTHONPATCH inside a spec try with something like this:

make -C docs html PYTHONPATH=$(pwd)

This way your current buildroot will be included in your PYTHONPATCH and this will let you build the docs in the rpmbuild procces.
Comment 4 William Moreno 2015-12-14 13:40:01 EST
Also you need to create your profile in the Fedora wiki if you want to become a packager maintainer you need to provide info about your selft and contac info.

https://fedoraproject.org/wiki/User:Jcline
Comment 5 Jeremy Cline 2015-12-14 15:14:43 EST
(In reply to William Moreno from comment #2)
> 3. [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/lib/python3.5/site-
>      packages/sphinxcontrib, /usr/lib/python2.7/site-packages/sphinxcontrib
> 
> 4. [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/lib/python3.5/site-
>      packages/sphinxcontrib/__pycache__(python3-sphinxcontrib-
>      programoutput, python3-sphinxcontrib-seqdiag)

I'm not certain how to handle both of these. There are several other packages that own /usr/lib/python2.7/site-packages/sphinxcontrib and /usr/lib/python3.5/site-packages/sphinxcontrib, so if I choose to own them I get in problem #4 (which I am clearly already in with __pycache__). 

From the sound of the packaging guidelines it's okay in this particular scenario for several packages to own the directories, but I am unsure.
Comment 6 Jeremy Cline 2015-12-14 22:19:46 EST
I've updated the spec and SRPM to own all its files and directories. I also added a doc subpackage.
Comment 7 William Moreno 2015-12-15 10:38:54 EST
You must done a bump to the release tag every time you change the spec file, also you need to update the changelog to keep track of the changes in the packaging.

Fill you information in your Fedora Wiki User Profile, one of the Fedora core fundations it is Friends, this mean than there is not unkwon people in our community and the minimal information you must provide is to fill you wiki page.
Comment 9 Upstream Release Monitoring 2015-12-16 15:56:00 EST
williamjmorenor's scratch build of python-sphinxcontrib-fulltoc-1.1-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12218732
Comment 10 William Moreno 2015-12-16 16:08:17 EST
PACKAGE APROVED
===============
I run a new review of your package but there is not need to paste again the full fedora-review template.

Python Reviewer checklist
-------------------------

Must: If you build for more than one python runtime you must use the %python_provide macro. OK
Must: If you build for a single python runtime you must add %python_provide python-$module so that the current default python is provided from the unversioned python package. NA
Must: Python modules must be built from source. They cannot simply drop an egg from upstream into the proper directory.OK
Must: Python modules must not download any dependencies during the build process. OK
Must: When building a compat package, it must install using easy_install -m so it won't conflict with the main package. NA
Must: When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup. NA
Should: A package which is used by another package via an egg interface should provide egg info. OK

You can build a manpage with sphinx and include it, in Fedora this is not bloqqer but I will recomend you do so.
Comment 11 William Moreno 2015-12-16 16:10:30 EST
Congratulations your package looks good and I have approved it and I will sponsor you as a member of the Fedora Packagers group in FAS, you should receive a mail about your new status in FAS and must must wait some time before (some hours) to login in the PKGDB and request your new package to be included in Fedora:

https://admin.fedoraproject.org/pkgdb/request/package/

Once your package is approved please include me as co maintainer.

Fedora provides a cool template for your user profile in:

https://fedoraproject.org/wiki/Template:Infobox_user
Comment 12 William Moreno 2015-12-16 16:25:27 EST
Now than your are a packager maybe can help me with these revies :)

https://bugzilla.redhat.com/show_bug.cgi?id=1229886
https://bugzilla.redhat.com/show_bug.cgi?id=1229975

The reviewer do not respond so maybe you can take them a do the fedora-review.
Comment 13 Jeremy Cline 2015-12-16 22:28:53 EST
Thanks, William!

I am happy to take on those reviews, although I expect I will not be able to get to them until the weekend.

I did one final update to the spec (and bumped the release) to include the man pages.
Comment 14 Gwyn Ciesla 2015-12-17 08:45:03 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-sphinxcontrib-fulltoc
Comment 15 Fedora Update System 2015-12-18 14:55:49 EST
python-sphinxcontrib-fulltoc-1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dcf712567f
Comment 16 Fedora Update System 2015-12-19 14:58:49 EST
python-sphinxcontrib-fulltoc-1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-sphinxcontrib-fulltoc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dcf712567f
Comment 17 Fedora Update System 2015-12-30 19:56:51 EST
python-sphinxcontrib-fulltoc-1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.